org.firebirdsql.jdbc.field

## Interface FieldDataProvider

    public interface FieldDataProvider

Provider of the row data.

Author:
  Roman Rokytskyy

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getFieldData()` Get raw content of the filed.
`void` `setFieldData(byte[] data)` Set raw content of the field.

### Method Detail

#### getFieldData

    byte[] getFieldData()

Get raw content of the filed. This method returns the array of bytes sent by the server back.

Returns:
  contents of the field or `null` if NULL value was sent from the server.

#### setFieldData

    void setFieldData(byte[] data)

Set raw content of the field.

Parameters:
  `data` - raw content of the field.